Summary: A plain ASCII to PostScript converter.
Name: enscript
Version: 1.6.5.2
Release: 2
License: GPLv3+
Group: Applications/Publishing
Source0: ftp://ftp.gnu.org/pub/gnu/enscript/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/pub/gnu/enscript/%{name}-%{version}.tar.gz.sig
Source2: %{name}-ruby-1.6.4.tar.gz
#http://neugierig.org/software/ruby/ruby-enscript.tar.gz
Source3: %{name}-php-1.6.4.st
#http://home.raxnet.net/downloads/viewcvs/php.st

# RH #177336
Patch1: %{name}-1.6.4-hilight.patch
# RH #61294
Patch3: %{name}-1.6.1-locale.patch

# RH #224548
Patch8: %{name}-wrap_header.patch

Patch9: %{name}-1.6.4-rh457719.patch
Patch10: %{name}-1.6.4-rh457720.patch
Patch12: %{name}-rh477382.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: tar, coreutils, autoconf, automake, gettext
Requires: /sbin/install-info, info, gettext

%description
GNU enscript is a free replacement for Adobe's Enscript
program. Enscript converts ASCII files to PostScript(TM) and spools
generated PostScript output to the specified printer or saves it to a
file. Enscript can be extended to handle different output media and
includes many options for customizing printouts.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch1 -p1 -b .hilight
%patch3 -p1 -b .locale
%patch8 -p1 -b .wrap_header
%patch9 -p1 -b .rh457719
%patch10 -p1 -b .rh457720
%patch12 -p1 -b .rh477382

gtar -C states/hl -zxf %{SOURCE2} ruby.st
install -pm 644 %{SOURCE3} states/hl/php.st


%build
autoreconf
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --disable-dependency-tracking \
    --with-media=A4

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%preun
if [ $1 = 0 ]; then
    [ -f %{_infodir}/%{name}.info.gz ] && \
      /sbin/install-info --delete %{_infodir}/%{name}.info.gz \
	%{_infodir}/dir || :
fi


%post
[ -f %{_infodir}/%{name}.info.gz ] && \
  /sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc AUTHORS ChangeLog docs/FAQ.html NEWS README README.ESCAPES THANKS TODO 
%defattr(-,root,system)
%config(noreplace) %{_sysconfdir}/%{name}.cfg
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 1.6.5.2-2
- removed dependency on gettext >= 0.17

* Thu Jun 03 2010 Michael Perzl <michael@perzl.org> - 1.6.5.2-1
- first version for AIX V5.1 and higher
